__gnu_pbds::detail::rc< _Node, _Alloc >(3)

NAME
__gnu_pbds::detail::rc< _Node, _Alloc > -

SYNOPSIS

  Public Types
typedef entry_const_pointer const_iterator
typedef node_pointer entry

  Public Member Functions
rc (const rc &)
const const_iterator begin () const
void clear ()
bool empty () const
const const_iterator end () const
void pop ()
void push (entry)
size_type size () const
void swap (rc &)
node_pointer top () const

Detailed Description

  template<typename _Node, typename _Alloc>class __gnu_pbds::detail::rc< _Node, _Alloc >
Redundant binary counter.

Definition at line 50 of file rc.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.